/**
 * @file
 * Behaviour for szentirashu_formatter settings.
 */

(function ($, Drupal, once) {
  'use strict';

  Drupal.behaviors.szentirashuReferenceSettings = {
    attach: function (context) {
      once('szentirashu-settings-ajax', 'select[id^="edit-fields-field-scripture-settings-edit-form-settings-translation"]', context).forEach(function (element, index) {
        $.ajax({
          url : 'https://szentiras.eu/api/forditasok',
          dataType : 'json',
        }).done(function (data) {
          data.translations.forEach(function (v, i) {
            var opt = document.createElement('option');
            opt.value = v.abbrev;
            opt.innerHTML = v.name;
            element.appendChild(opt)
          });
        });
      });
    }
  };

})(jQuery, Drupal, once);
